UiPath Documentation
test-cloud
latest
false
Importante :
A localização de um conteúdo recém-publicado pode levar de 1 a 2 semanas para ficar disponível.

Guia da API do Test Cloud

Get Tenant Consumption by Folder

Use this endpoint to retrieve a consumption breakdown by folder for a specific tenant.

Ponto de Extremidade da API

POST {accessURL}/lease_/api/usage/{organizationId}/tenants/consumption-by-folder

Substitua {accessURL} em todos os caminhos do ponto de extremidade pelo URL base para sua plataforma de nuvem:

Cloud PlatformURL de acesso
Test Cloudhttps://cloud.uipath.com/
Test Cloud para o Setor Públicohttps://govcloud.uipath.us/
Test Cloud Dedicadohttps://{customURL}.dedicated.uipath.com/

Cabeçalhos de solicitação.

--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
Observação:

Para obter o {access_token}, certifique-se de se autenticar por meio do método ROPC, descrito aqui.

Parâmetros do caminho

Parâmetro do caminhoTipo de dadosDescription
organizationId (obrigatório)String (GUID)A ID da organização na qual seu locatário reside.

Corpo da Solicitação

The request body specifies the tenant, date range, consumable code, and optional aggregation mode. For a detailed list of consumable codes, refer to Consumables.

{
  "tenantId": "string",
  "startDate": 0,
  "endDate": 0,
  "consumableCode": "string",
  "aggregateByOwnership": false
}
{
  "tenantId": "string",
  "startDate": 0,
  "endDate": 0,
  "consumableCode": "string",
  "aggregateByOwnership": false
}
Observação:
  • startDate and endDate are Unix timestamps in milliseconds.
  • aggregateByOwnership is optional (default: false). When set to true, consumption is aggregated by the folder that triggered the process execution rather than where it ran.

Resposta

200 OK

Returns a list of consumption records grouped by folder for the specified tenant.

Exemplo de solicitação

A chamada deve ser semelhante ao seguinte exemplo (cURL):

curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/consumption-by-folder' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
  "tenantId": "string",
  "startDate": 1704067200000,
  "endDate": 1706745600000,
  "consumableCode": "consumption_unit_code"
}'
curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/consumption-by-folder' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
  "tenantId": "string",
  "startDate": 1704067200000,
  "endDate": 1706745600000,
  "consumableCode": "consumption_unit_code"
}'

Here's the response body for a successful consumption by folder retrieval:

{
  "items": [
    {
      "folderKey": "string",
      "folderName": "string",
      "parentFolderKey": "string",
      "consumedBySelf": 0,
      "processCountSelf": 0
    }
  ]
}
{
  "items": [
    {
      "folderKey": "string",
      "folderName": "string",
      "parentFolderKey": "string",
      "consumedBySelf": 0,
      "processCountSelf": 0
    }
  ]
}
  • Ponto de Extremidade da API
  • Cabeçalhos de solicitação.
  • Parâmetros do caminho
  • Corpo da Solicitação
  • Resposta
  • 200 OK
  • Exemplo de solicitação

Esta página foi útil?

Conectar

Precisa de ajuda? Suporte

Quer aprender? Academia UiPath

Tem perguntas? Fórum do UiPath

Fique por dentro das novidades